API

Electronic Media Search Direct API

The AI-powered Broadcast Media Monitor provides 360° Global Media Data & Intelligence on Television networks, radio stations, broadcast channels, and audiovisual news producers.

API-Referenz Version: 1.0.0 4 Endpunkte Authentifizierung
Broadcast Media Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja Keywords text parameter
lang_code string query Nein Lang code parameter
country_code string query Nein Country code parameter
count integer query Nein Count parameter
cursor string query Nein Cursor parameter
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /briefs

Briefs

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja Keywords text parameter
lang_code string query Nein Lang code parameter
country_code string query Nein Country code parameter
count integer query Nein Count parameter
cursor string query Nein Cursor parameter
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /fulltext

Fulltext

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja Keywords text parameter
lang_code string query Nein Lang code parameter
country_code string query Nein Country code parameter
count integer query Nein Count parameter
cursor string query Nein Cursor parameter
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /clip

Clip

Parameter

Name Typ Standort Erforderlich Beschreibung
id string query Ja Clip/article ID to resolve
date string query Ja Date of the clip (YYYY-MM-DD)
ns string query Nein Namespace prefix for multi-tenant index resolution
host string query Nein Host name for tenant resolution
ttl integer query Nein Signed URL time-to-live in seconds

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/clip?id=VALUE&date=VALUE&ns=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success